apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  namespace: dev
  labels:
    app: myapp-dev
    type: frontend
spec:
  replicas: 3
  template:
    metadata:
      name: myreplicaset
      labels:
        app: myapp-dev
    spec:
      containers:
      - name: mywebserver
        image: aamirs/radical-private-repo:{{ job }}-{{ tag }}
        command: [ "/usr/sbin/httpd", "-D", "FOREGROUND" ]
        volumeMounts:
          - name: efs-pv
            mountPath: "/tmp"
      imagePullSecrets:
      - name: mydocker
      volumes:
        - name: efs-pv
          persistentVolumeClaim:
            claimName: efs-claim

  selector:
    matchLabels:
      app: myapp-dev